org.apache.sling.launchpad.startupmanager

## Class StartUpHandlerImpl

- java.lang.Object
- - org.apache.sling.launchpad.startupmanager.StartUpHandlerImpl

All Implemented Interfaces:
  org.apache.sling.launchpad.api.StartupHandler

    public class StartUpHandlerImpl
    extends Object
    implements org.apache.sling.launchpad.api.StartupHandler

### Constructor Summary

Constructors
Constructor and Description
`StartUpHandlerImpl(org.osgi.framework.Bundle bundle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.launchpad.api.StartupMode` `getMode()`
`boolean` `isFinished()`
`void` `waitWithStartup(boolean b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StartUpHandlerImpl

    public StartUpHandlerImpl(org.osgi.framework.Bundle bundle)

### Method Detail

#### getMode

    public org.apache.sling.launchpad.api.StartupMode getMode()

Specified by:
  `getMode` in interface `org.apache.sling.launchpad.api.StartupHandler`

#### isFinished

    public boolean isFinished()

Specified by:
  `isFinished` in interface `org.apache.sling.launchpad.api.StartupHandler`

#### waitWithStartup

    public void waitWithStartup(boolean b)

Specified by:
  `waitWithStartup` in interface `org.apache.sling.launchpad.api.StartupHandler`